Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 648114 - unmask sys-libs/ncurses-6.1
Summary: unmask sys-libs/ncurses-6.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on: 648720
Blocks: CVE-2017-11112, CVE-2017-11113 CVE-2017-10684, CVE-2017-10685 CVE-2017-13728, CVE-2017-13729, CVE-2017-13730, CVE-2017-13731, CVE-2017-13732, CVE-2017-13733, CVE-2017-13734 CVE-2017-16879
  Show dependency tree
 
Reported: 2018-02-19 13:49 UTC by Hanno Böck
Modified: 2018-03-28 08:29 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hanno Böck gentoo-dev 2018-02-19 13:49:15 UTC
ncurses 6.1 is currently masked:

# Lars Wendler <polynomial-c@gentoo.org> (28 Jan 2018)
# Masked for testing.
# At least app-misc/mc is broken when using a 256color TERM setting.
=sys-libs/ncurses-6.1

There are four open security bugs for ncurses (625830, 629276, 624644, 639706) which as far as I can see are all fixed in 6.1, so we should push unmasking forward and track what's needed for it.

The comment mentions an issue with mc, but no reference to a bug, either upstream or in Gentoo. Lars, can we have a clarification what the problem here is?
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2018-02-19 14:06:53 UTC
(In reply to Hanno Boeck from comment #0)
>
> The comment mentions an issue with mc, but no reference to a bug, either
> upstream or in Gentoo. Lars, can we have a clarification what the problem
> here is?

I haven't investigated deeply because I haven't found a VCS tracker for the terminfo file which seems to be the cause for the issue with mc.

Here's what I have found out: 

app-misc/mc[slang] on a terminaml with 256color support (TERM="*-256color") is completely broken. The input dialogs don't show up, no hilighting, wrong colors in mcedit. Some non-256color terminfos are affected as well but I found not a single 256color terminfo setting that works.
app-misc/mc[-slang] behaves better but has other issues unrelated to ncurses.
Replacing the terminfo file shipped with ncurses-6.1 with the one from ncurses-6.0 fixes all issues with mc.
I haven't reported this to mc, slang or ncurses upstream because I still don't know which package is to blame here.

This is the only issue I have found but I want to have some more testing from other people because I won't want people to use potentially broken terminfo files.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2018-02-19 15:26:34 UTC
I've found reports from other distros that this is an issue with sys-libs/slang:

https://bugs.archlinux.org/task/57300
https://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg1585785.html

So all we need to do is updating the slang package. I'm working on adding their latest snapshot release...
Comment 3 Larry the Git Cow gentoo-dev 2018-02-19 15:37:22 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e3dc9368bd4762b674d259d2fac928aab758dd4

commit 2e3dc9368bd4762b674d259d2fac928aab758dd4
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2018-02-19 15:36:33 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2018-02-19 15:37:16 +0000

    sys-libs/slang: Bump to version 2.3.2_pre23
    
    This snapshot release is needed in order to unmask =sys-libs/ncurses-6.1
    which introduced a new terminfo file format that older slang releases do
    not understand.
    
    Bug: https://bugs.gentoo.org/648114
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sys-libs/slang/Manifest                 |  1 +
 sys-libs/slang/slang-2.3.2_pre23.ebuild | 81 +++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)}
Comment 4 Larry the Git Cow gentoo-dev 2018-02-20 08:36:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dde223a9bfec94114a927904b8549b3211781fef

commit dde223a9bfec94114a927904b8549b3211781fef
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2018-02-20 08:35:29 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2018-02-20 08:35:29 +0000

    package.mask: Removed =sys-libs/ncurses-6.1 mask.
    
    Closes: https://bugs.gentoo.org/648114

 profiles/package.mask | 5 -----
 1 file changed, 5 deletions(-)